### Virtual Method

# PapersDocument Document load_fd

since: 42.0

#### Declaration [src]

    gboolean
    load_fd (
      PpsDocument* document,
      int fd,
      GError** error
    )

#### Description [src]

Synchronously loads the document from `fd`, which must refer to a regular file.

Note that this function takes ownership of `fd`; you must not ever operate on it again. It will be closed automatically if the document is destroyed, or if this function returns `NULL`.

See `pps_document_load()` for more information.

Available since: 42.0

#### Parameters

`fd`

  Type: `int`

  A file descriptor.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if loading succeeded, or `FALSE` on error with `error` filled in.